<mat-toolbar color="accent" class="admin-toolbar">
  <div class="admin-toolbar__right">
    <button mat-icon-button (click)="sidenav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
    <div class="icon">
      <a class="mat-subtitle-1" routerLink="/">
        <rdn-logo-without-label [width]="50"></rdn-logo-without-label>
        Панель Адміністратора
      </a>
    </div>
  </div>

  <div class="user-menu">
    <rdn-user-menu [isAdminMode]="true"></rdn-user-menu>
  </div>
</mat-toolbar>

<mat-sidenav-container
  class="sidenav-container"
  [class.mobile-view]="isMobileView$ | async">
  <mat-sidenav
    #sidenav
    [opened]="!(isMobileView$ | async)"
    [mode]="(isMobileView$ | async) ? 'over' : 'side'"
    [fixedInViewport]="isMobileView$ | async"
    class="sidenav"
    fixedTopGap="56">
    <rdn-routes-accordion
      [routesAccordion]="adminRoutes"></rdn-routes-accordion>
  </mat-sidenav>

  <mat-sidenav-content>
    <mat-tab-nav-panel #tabPanel>
      <div class="layout">
        <router-outlet></router-outlet>
      </div>
    </mat-tab-nav-panel>
  </mat-sidenav-content>
</mat-sidenav-container>
